CK_BITMAP_BUFFER(3)

NAME
ck_bitmap_buffer - returns pointer to bit array

LIBRARY
Concurrency Kit (libck, -lck)

SYNOPSIS
#include <ck_bitmap.h>
void *
ck_bitmap_buffer(ck_bitmap_t *bitmap);

DESCRIPTION
The ck_bitmap_buffer() functions returns a pointer to the actual bit array. For ck_bitmap pointers, the bit array is of type CK_BITMAP_WORD[] and consists of ck_bitmap_base(bitmap) / sizeof(CK_BITMAP_WORD) elements. On currently supported 64-bit platforms CK_BITMAP_WORD is uint64_t. On currently supported 32-bit platforms CK_BITMAP_WORD is uint32_t.

RETURN VALUES
This function returns a non-NULL value.

SEE ALSO
ck_bitmap_base(3), ck_bitmap_size(3), ck_bitmap_init(3), ck_bitmap_set(3), ck_bitmap_reset(3), ck_bitmap_test(3), ck_bitmap_clear(3), ck_bitmap_bits(3)

Additional information available at http://concurrencykit.org/